
#Include <File.au3>

#cs

Owing to certain deficiencies in the Translate Toolkit, I had to write this script to ensure that strings from the OpenProj menu.properties file that shouldn't get translated are not included in the PO file.

#ce

RunWait (@ComSpec & " /c " & 'ren menu.properties menutemp.properties', "", @SW_HIDE)

$fileopen = FileOpen ("menutemp.properties", 128)
$lines = _FileCountLines("menutemp.properties")

$k = 0

For $i = 1 to $lines

$readline = FileReadLine ($fileopen, $i)

$j = 0

Select
Case StringInStr ($readline, ".text")
$j = 1
Case StringInStr ($readline, ".tooltip")
$j = 1
Case StringInStr ($readline, ".tip")
$j = 1
Case StringInStr ($readline, ".mnemonic")
$j = 1
Case StringInStr ($readline, ".accelerator")
$j = 1
EndSelect

If $j = 1 Then
$newfile = FileOpen ("menu.properties", 129)
Sleep ("100")
FileWrite ($newfile, @CRLF & $readline & @CRLF)
Sleep ("100")
FileClose ($newfile)
$k = $k + 1
EndIf

Next

FileClose ("menutemp.properties")

MsgBox (0, "Done!", "Read " & $lines & " lines and wrote " & $k & " lines.", 10)
